| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Data Fields
EasySMU::eeprom_data_union::data_struct_type Struct Reference

This struct holds all of the calibration data, i.e. offset integers, LSB floats, etc. The eeprom_data_union contains a byte_array that is used to write and read this data to/from the EEPROM. More...

## Detailed Description

This struct holds all of the calibration data, i.e. offset integers, LSB floats, etc. The eeprom_data_union contains a byte_array that is used to write and read this data to/from the EEPROM.

Definition at line 294 of file EasySMU.h.

## Data Fields
int16_t | cal_key
| If this is set to the proper value, it indicates that a calibration has been performed. More...
int16_t | voltage_source_offset
| The output voltage is 0V when this code is stored in the voltage channel of the DAC. More...
float | voltage_source_LSB
| the voltage of one LSB in volts (from the voltage channel of the DAC) More...
int16_t | current_source_pullup_offset
| current DAC code that ideally would result in 0A at output, if the output current could be configured below 0.5mA More...
float | current_source_pullup_LSB
| the current of one LSB in amps from the current pullup DAC channel More...
int16_t | current_source_pulldown_offset
| current DAC code that ideally would result in 0A at output, if the output current could be configured below 0.5mA More...
float | current_source_pulldown_LSB
| the current of one LSB in amps from the current pulldown DAC channel More...
int32_t | voltage_measure_offset
| the voltage ADC code that corresponds to 0V at the output More...
float | voltage_measure_LSB
| the voltage of one LSB in volts from the voltage ADC More...
float | current_measure_LSB
| the current of one LSB in amps from the current ADC More...
float | current_measure_output_resistance
| This value is used to modify the output current measurement result based on output voltage. More...
int32_t | current_measure_offset
| the code from the current ADC that corresponds to 0A at the output More...
int32_t | temperature_Vadc_code
| This is the temperature code read from the voltage ADC during calibration. More...
int32_t | temperature_Iadc_code
| This is the temperature code read from the current ADC during calibration. More...

## Field Documentation

## ◆ cal_key

int16_t EasySMU::eeprom_data_union::data_struct_type::cal_key

If this is set to the proper value, it indicates that a calibration has been performed.

(If not, this EasySMU has never been calibrated.)

Definition at line 296 of file EasySMU.h.

## ◆ current_measure_LSB

float EasySMU::eeprom_data_union::data_struct_type::current_measure_LSB

the current of one LSB in amps from the current ADC

Definition at line 306 of file EasySMU.h.

## ◆ current_measure_offset

int32_t EasySMU::eeprom_data_union::data_struct_type::current_measure_offset

the code from the current ADC that corresponds to 0A at the output

Definition at line 308 of file EasySMU.h.

## ◆ current_measure_output_resistance

float EasySMU::eeprom_data_union::data_struct_type::current_measure_output_resistance

This value is used to modify the output current measurement result based on output voltage.

This compensates for the current that flows through the feedback network, etc.

Definition at line 307 of file EasySMU.h.

## ◆ current_source_pulldown_LSB

float EasySMU::eeprom_data_union::data_struct_type::current_source_pulldown_LSB

the current of one LSB in amps from the current pulldown DAC channel

Definition at line 303 of file EasySMU.h.

## ◆ current_source_pulldown_offset

int16_t EasySMU::eeprom_data_union::data_struct_type::current_source_pulldown_offset

current DAC code that ideally would result in 0A at output, if the output current could be configured below 0.5mA

Definition at line 302 of file EasySMU.h.

## ◆ current_source_pullup_LSB

float EasySMU::eeprom_data_union::data_struct_type::current_source_pullup_LSB

the current of one LSB in amps from the current pullup DAC channel

Definition at line 301 of file EasySMU.h.

## ◆ current_source_pullup_offset

int16_t EasySMU::eeprom_data_union::data_struct_type::current_source_pullup_offset

current DAC code that ideally would result in 0A at output, if the output current could be configured below 0.5mA

Definition at line 300 of file EasySMU.h.

## ◆ temperature_Iadc_code

int32_t EasySMU::eeprom_data_union::data_struct_type::temperature_Iadc_code

This is the temperature code read from the current ADC during calibration.

(It is probably 25C, but an actual measurement/calibration is not performed.)

Definition at line 310 of file EasySMU.h.

## ◆ temperature_Vadc_code

int32_t EasySMU::eeprom_data_union::data_struct_type::temperature_Vadc_code

This is the temperature code read from the voltage ADC during calibration.

(It is probably 25C, but an actual measurement/calibration is not performed.)

Definition at line 309 of file EasySMU.h.

## ◆ voltage_measure_LSB

float EasySMU::eeprom_data_union::data_struct_type::voltage_measure_LSB

the voltage of one LSB in volts from the voltage ADC

Definition at line 305 of file EasySMU.h.

## ◆ voltage_measure_offset

int32_t EasySMU::eeprom_data_union::data_struct_type::voltage_measure_offset

the voltage ADC code that corresponds to 0V at the output

Definition at line 304 of file EasySMU.h.

## ◆ voltage_source_LSB

float EasySMU::eeprom_data_union::data_struct_type::voltage_source_LSB

the voltage of one LSB in volts (from the voltage channel of the DAC)

Definition at line 299 of file EasySMU.h.

## ◆ voltage_source_offset

int16_t EasySMU::eeprom_data_union::data_struct_type::voltage_source_offset

The output voltage is 0V when this code is stored in the voltage channel of the DAC.

Definition at line 298 of file EasySMU.h.

The documentation for this struct was generated from the following file:

- EasySMU.h